
# ISP Extractor

The ISP Extractor is a command line tools capable of extracting the value of a set of Binary ISP packet fields.

## How to run

From the installation package, run the ```isp_extractor``` script. Ensure that ```JAVA_HOME``` is defined in the environment.

The tool can be executed from any location, with the following parameters.

```$bash
isp_extractor
  --schema mission-bandTMISP.xsd
  --isp binary_data_isp.raw
  --fields fields.txt
  --output text_data_isp.csv
```

The description of available options is shown the ```--help``` option:

```$bash
isp_extractor --help
``` 

The NAVATT Creator version is shown by the ```--version``` option:

```$bash
isp_extractor --version
``` 

## Fields Specification

The ISP Extractor collects the fields listed in the file provided by the ```--fields``` option and stores the values in a CSV text file.
All empty lines or lines start by the character `#` are disregarded.
